Summary:        A git GUI viewer
Name:           qgit
Version:        2.7
Release:        %mkrel 1
License:        GPLv2
Group:          Development/Tools
Url:            http://libre.tibirna.org/projects/qgit
Source0:        https://github.com/tibirna/qgit/archive/%{name}-%{version}.tar.gz
Source1:        %{name}.1
Patch0:         qgit-2.7-fix-appdata-dir-path.patch
BuildRequires:  scons
BuildRequires:  cmake
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Widgets)

Requires:       git-core

%description
With qgit you will be able to browse revisions history, view patch content
and changed files, graphically following different development branches.

Main features
- View revisions, diffs, files history, files annotation, archive tree.
- Commit changes visually cherry picking modified files.
- Apply or format patch series from selected commits, drag and
  drop commits between two instances of qgit.
- qgit implements a GUI for the most common StGIT commands like push/pop
  and apply/format patches. You can also create new patches or refresh
  current top one using the same semantics of git commit, i.e. cherry
  picking single modified files.

%prep
%setup -q -n %{name}-%{name}-%{version}
%autopatch -p1

%build
%cmake_qt5
%make_build

%install
%make_install -C build

install -m 0644 -p -D %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files
%doc README
%{_bindir}/qgit
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Mar 06 2017 daviddavid <daviddavid> 2.7-1.mga6
+ Revision: 1089137
- new version: 2.7
- switch build to cmake
- use upstream desktop, icon and appdata files
- update Source URL

* Tue Apr 05 2016 daviddavid <daviddavid> 2.6-1.mga6
+ Revision: 998757
- new version: 2.6
- switch build to Qt5
- add a patch from debian to fix some spellings
- add a manpage from debian

* Tue Feb 16 2016 umeabot <umeabot> 2.5-7.mga6
+ Revision: 962479
- Mageia 6 Mass Rebuild

* Mon Oct 26 2015 daviddavid <daviddavid> 2.5-6.mga6
+ Revision: 895463
- do not strip binary to fix empty debuginfo
- add a patch from Fedora to fix binary path
- add from Fedora an Icon and a desktop file
- fix License
- update file list

* Wed Oct 15 2014 umeabot <umeabot> 2.5-5.mga5
+ Revision: 747550
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5-4.mga5
+ Revision: 688482
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.5-3.mga4
+ Revision: 517844
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5-2.mga3
+ Revision: 379830
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 malo <malo> 2.5-1.mga3
+ Revision: 299203
- update to 2.5
- fix RPM group

* Fri Sep 07 2012 malo <malo> 2.4-1.mga3
+ Revision: 289371
- update to 2.4
- remove obsolete patches

* Mon Jun 13 2011 tmb <tmb> 2.3-2.mga2
+ Revision: 105871
- fix call to git config (P2)
- drop buildroot

* Mon Jun 13 2011 tmb <tmb> 2.3-1.mga2
+ Revision: 105845
- imported package qgit

